<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
global $admin_file;
$aid = substr("$aid", 0,25);
$row = $GLOBALS['db']->sql_fetchrow($GLOBALS['db']->sql_query("SELECT `radminsuper` FROM `".TABLE_AUTHORS."` WHERE `aid`='$aid'"));
$acces = $GLOBALS['db']->XMFbin($row['radminsuper']);
if ($acces == 1) {
if($admintest && $adminsecu)  {

get_adminlang("plan");

switch($op) {

    default:include_once ('admin/modules/plan/plan.php');break;
    case 'PlanUp':include_once ('admin/modules/plan/PlanUp.php');break;
    case 'PlanDown':include_once ('admin/modules/plan/PlanDown.php');break;
    case 'AdvancePlan':include_once ('admin/modules/plan/advanceplan.php');break;
    case 'AddPlan':include_once ('admin/modules/plan/AddPlan.php');break;
    case 'ModifPlanSite':include_once ('admin/modules/plan/ModifPlanSite.php');break;
    case 'SaveAdvancePlan':include_once ('admin/modules/plan/SaveAdvancePlan.php');break;
    case 'ActivePlan':include_once ('admin/modules/plan/ActivePlan.php');break;

}
}
} else {
    echo "Access Denied";
}